<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Requests;
use App\Helpers\JwtAuth;

use App\Consulta;

class ConsultaController extends Controller
{
    //INDICE
    public function index(Request $request){
        // carga todos los vehículos con todos los datos del usuario
        $consultas = Consulta::all()->load('user');
        return response()->json(array(
            'consultas' => $consultas,
            'status' => 'success',
        ),200);
    }

    // SHOW CONSULTA
    public function show($id){
        $consulta = Consulta::find($id);
        if(is_object($consulta)){
            $consulta = Consulta::find($id)->load('user');
            return response()->json(array(
                'consulta' => $consulta,
                'status' => 'success',
            ),200);
        }else{
            return response()->json(array(
                'consulta' => 'El coche no existe',
                'status' => 'error',
            ),200);
        }

    }

    //GUARDAR CONSULTA
    public function  store(Request $request){
        $hash = $request->header('Authorization',null);
        $jwtAuth = new JwtAuth();
        $chekToken = $jwtAuth->checkToken($hash);

        if($chekToken){
            // RECOGER DATOS POR POST
            $json = $request->input('json',null);
            $params = json_decode($json);
            $paramsArray =json_decode($json,true);

            // CONSEGUIR USUARIO IDENTIFICADO
            $user = $jwtAuth->checkToken($hash, true);

            // VALIDACION
            $request->merge($paramsArray);
            try{
                $validate = $this->validate($request,[
                    'name' => 'required'
                ]);
            }catch(\Illuminate\Validation\ValidationException $e){
                return $e->getReponse();

            }
/*
            $validate = \Validator::make($paramsArray,[
                'name' => 'required'
            ]);

            if($validate->fails()){
                return response()->json($validate->errors(),400);
            }
*/


            // GUARDAR CONSULTA

            $consulta = new Consulta();
            $consulta->name = $params->name;
            $consulta->user_id = $user->sub;

            $consulta->save();

            $data = array(
                'consulta' => $consulta,
                'status' => 'success',
                'code' => 200
            );

        }else{

            $data = array(
                'consulta' => 'consulta incorrecta',
                'status' => 'success',
                'code' => 300
            );
        }

        return response()->json($data, 200);
    }

    // ACTUALIZAR CONSULTA
    public function update($id, Request $request){
        $hash = $request->header('Authorization',null);
        $jwtAuth = new JwtAuth();
        $chekToken = $jwtAuth->checkToken($hash);

        if($chekToken){
            // RECOGER PARÁMETROS POST
            $json = $request->input('json', null);
            $params = json_decode($json);
            $paramsArray = json_decode($json, true);

            // VALIDACION
            $request->merge($paramsArray);
            try{
                $validate = $this->validate($request,[
                    'name' => 'required'
                ]);
            }catch(\Illuminate\Validation\ValidationException $e){
                return $e->getReponse();

            }

            // ACTUALIZAR CONSULTA
            unset($paramsArray['id']);
            unset($paramsArray['user_id']);
            unset($paramsArray['created_at']);
            unset($paramsArray['user']);
            $consulta = Consulta::where('id', $id)->update($paramsArray);

            $data = array(
                'consulta' => $params,
                'status' => 'success',
                'code' => 200
            );

        }else{

            $data = array(
                'consulta' => 'Consulta incorrecta',
                'status' => 'success',
                'code' => 300
            );
        }

        return response()->json($data, 200);
    }

    // ELIMINAR CONSULTA
    public function destroy($id, Request $request){
        $hash = $request->header('Authorization', null);

        $jwtAuth = new JwtAuth();
        $checkToken = $jwtAuth->checkToken($hash);
        if($checkToken){

            // Comprobar que existe el registro
            //Tratamiento
            $tratamiento = Tratamiento::where('consulta_id', $id);
            $tratamiento->delete();

            //Evolución
            $evolucion = Evolucion::where('paciente_id', $id);
            $evolucion->delete();


            // Comprobar que existe el registro
            $consulta = Consulta::find($id);

            // Borrarlo
            $consulta->delete();

            // Devolverlo
            $data = array(
                'consulta' => $consulta,
                'status' => 'success',
                'code' => 200
            );

        }else{

            $data = array(
            'consulta' => 'Consulta incorrecta',
            'status' => 'success',
            'code' => 300
            );
        }

        return response()->json($data, 200);
    }
}
