CREATE DATABASE IF NOT EXISTS apiSkipu;
USE apiSkipu;

CREATE TABLE users(
id  int(255) auto_increment not null,
email varchar(255),
role varchar(20),
name varchar(255),
surname varchar(255),
password varchar(255),
created_at datetime DEFAULT NULL,
updated_at datetime DEFAULT NULL,
remembar_token varchar(255),
CONSTRAINT pk_users PRIMARY KEY(id)
)ENGINE = InnoDb;

CREATE TABLE consultas(
id  int(255) auto_increment not null,
name varchar(255),
user_id int(255) not null,
created_at datetime DEFAULT NULL,
updated_at datetime DEFAULT NULL,
CONSTRAINT pk_consultas PRIMARY KEY(id),
CONSTRAINT pk_consultas_users FOREIGN KEY(user_id) REFERENCES users(id)
)ENGINE = InnoDb;


CREATE TABLE pacientes(
id  int(255) auto_increment not null,
consulta_id int(255) not null,
name varchar(255),
surname varchar(255),
email varchar(255),
telefono varchar(255),
documento varchar(255),
domicilio varchar(255),
provincia varchar(255),
ciudad varchar(255),
codigopostal varchar(255),
nacimiento varchar (255),
genero varchar(255),
created_at datetime DEFAULT NULL,
updated_at datetime DEFAULT NULL,
CONSTRAINT pk_pacientes PRIMARY KEY(id),
CONSTRAINT pk_pacientes_consulta FOREIGN KEY(consulta_id) REFERENCES consultas(id)
)ENGINE = InnoDb;



CREATE TABLE historia(
id  int(255) auto_increment not null,
name varchar(255),
antecedentes_familiares text,
antecedentes_personales text,
exploracion text,
juicio_clinico text,
observaciones text,
estado_paciente text,
diagnostico text,
fecha_entrada date,
paciente_id int(255) not null,
created_at datetime DEFAULT NULL,
updated_at datetime DEFAULT NULL,
CONSTRAINT pk_historia PRIMARY KEY(id),
CONSTRAINT pk_historia_paciente FOREIGN KEY(paciente_id) REFERENCES pacientes(id)
)ENGINE = InnoDb;

CREATE TABLE evolucion(
id  int(255) auto_increment not null,
name varchar(255),
descripcion text,
paciente_id int(255) not null,
historia_id int(255) not null,
created_at datetime DEFAULT NULL,
updated_at datetime DEFAULT NULL,
CONSTRAINT pk_evolucion PRIMARY KEY(id),
CONSTRAINT pk_evolucion_paciente FOREIGN KEY(paciente_id) REFERENCES pacientes(id),
CONSTRAINT pk_evolucion_historia FOREIGN KEY(historia_id) REFERENCES historia(id)

)ENGINE = InnoDb;

CREATE TABLE tratamiento(
id  int(255) auto_increment not null,
name varchar(255),
descripcion text,
fecha date,
paciente_id int(255) not null,
evolucion_id int(255) not null,
created_at datetime DEFAULT NULL,
updated_at datetime DEFAULT NULL,
CONSTRAINT pk_tratamiento PRIMARY KEY(id),
CONSTRAINT pk_tratamiento_paciente FOREIGN KEY(paciente_id) REFERENCES pacientes(id),
CONSTRAINT pk_tratamiento_evolucion FOREIGN KEY(evolucion_id) REFERENCES evolucion(id)

)ENGINE = InnoDb;

CREATE TABLE informe(
id  int(255) auto_increment not null,
name varchar(255),
descripcion text,
observaciones text,
fecha date,
paciente_id int(255) not null,
created_at datetime DEFAULT NULL,
updated_at datetime DEFAULT NULL,
CONSTRAINT pk_tratamiento PRIMARY KEY(id),
CONSTRAINT pk_tratamiento_paciente FOREIGN KEY(paciente_id) REFERENCES pacientes(id),
)ENGINE = InnoDb;
