import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { SigninComponent } from "./views/signin/signin.component";
import { SignupComponent } from "./views/signup/signup.component";
import { HomeComponent } from "./views/home/home.component";
import {ConsultaNewComponent} from "./views/consulta/consulta-new/consulta-new.component";
import {ConsultaEditComponent} from "./views/consulta/consulta-edit/consulta-edit.component";
import {ConsultaDetailComponent} from "./views/consulta/consulta-detail/consulta-detail.component";
import {DashboardComponent} from "./views/dashboard/dashboard.component";
import {PacienteNewComponent} from "./views/paciente/paciente-new/paciente-new.component";
import {PacienteEditComponent} from "./views/paciente/paciente-edit/paciente-edit.component";
import {PacienteDetailComponent} from "./views/paciente/paciente-detail/paciente-detail.component";
import {HistoriaNewComponent} from "./views/paciente/historia/historia-new/historia-new.component";
import {HistoriaEditComponent} from "./views/paciente/historia/historia-edit/historia-edit.component";
import {HistoriaDetailComponent} from "./views/paciente/historia/historia-detail/historia-detail.component";
import {EvolucionNewComponent} from "./views/paciente/evolucion/evolucion-new/evolucion-new.component";
import {EvolucionEditComponent} from "./views/paciente/evolucion/evolucion-edit/evolucion-edit.component";
import {EvolucionDetailComponent} from "./views/paciente/evolucion/evolucion-detail/evolucion-detail.component";
import {EvolucionComponent} from "./views/paciente/evolucion/evolucion.component";
import {TratamientoComponent} from "./views/paciente/tratamiento/tratamiento.component";
import {UsuarioComponent} from "./views/usuario/usuario.component";
import {TratamientoNewComponent} from "./views/paciente/tratamiento/tratamiento-new/tratamiento-new.component";
import {TratamientoEditComponent} from "./views/paciente/tratamiento/tratamiento-edit/tratamiento-edit.component";
import {TratamientoDetailComponent} from "./views/paciente/tratamiento/tratamiento-detail/tratamiento-detail.component";
import {InformeComponent} from "./views/paciente/informe/informe.component";
import {InformeNewComponent} from "./views/paciente/informe/informe-new/informe-new.component";
import {InformeDetailComponent} from "./views/paciente/informe/informe-detail/informe-detail.component";
import {InformeEditComponent} from "./views/paciente/informe/informe-edit/informe-edit.component";
import {Error404Component} from "./views/error404/error404.component";

const routes: Routes = [
  {path:'', component: HomeComponent},
  {path:'home', component: HomeComponent},
  {path:'signin', component: SigninComponent},
  {path:'signout/:sure', component: SigninComponent},
  {path:'signup', component: SignupComponent},
  {path:'dashboard', component: DashboardComponent},

  {path:'usuario/:id', component: UsuarioComponent},

  {path:'crear-consulta', component: ConsultaNewComponent},
  {path:'editar-consulta/:id', component: ConsultaEditComponent},
  {path:'consulta/:id', component: ConsultaDetailComponent},

  {path:'crear-paciente', component: PacienteNewComponent},
  {path:'editar-paciente/:id', component: PacienteEditComponent},
  {path:'paciente/:id', component: PacienteDetailComponent},

  {path:'paciente/:id/crear-historia', component: HistoriaNewComponent},
  {path:'paciente/:id/editar-historia/:hid', component: HistoriaEditComponent},
  {path:'paciente/:id/historia/:hid', component: HistoriaDetailComponent},

  {path:'paciente/:id/listado-evoluciones', component: EvolucionComponent},
  {path:'paciente/:id/historia/:hid/crear-evolucion', component: EvolucionNewComponent},
  {path:'paciente/:id/historia/:hid/editar-evolucion/:eid', component: EvolucionEditComponent},
  {path:'paciente/:id/historia/:hid/evolucion/:eid', component: EvolucionDetailComponent},

  {path:'paciente/:id/listado-tratamientos', component: TratamientoComponent},

  {path:'paciente/:id/historia/:hid/evolucion/:eid/crear-tratamiento', component: TratamientoNewComponent},
  {path:'paciente/:id/historia/:hid/evolucion/:eid/editar-tratamiento/:tid', component: TratamientoEditComponent},
  {path:'paciente/:id/historia/:hid/evolucion/:eid/tratamiento/:tid', component: TratamientoDetailComponent},

  {path:'paciente/:id/listado-informes', component: InformeComponent},
  {path:'paciente/:id/crear-informe', component: InformeNewComponent},
  {path:'paciente/:id/editar-informe/:iid', component: InformeEditComponent},
  {path:'paciente/:id/informe/:iid', component: InformeDetailComponent},

  {path:'**', component: Error404Component},
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
