import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from "@angular/forms";
import { AppRoutingModule } from './app-routing.module';
import { HttpClientModule } from "@angular/common/http";


//Componentes
import { AppComponent } from './app.component';
import { SigninComponent } from "./views/signin/signin.component";
import { SignupComponent } from "./views/signup/signup.component";
import { HomeComponent } from "./views/home/home.component";
import { ConsultaNewComponent } from './views/consulta/consulta-new/consulta-new.component';
import { ConsultaEditComponent } from './views/consulta/consulta-edit/consulta-edit.component';
import { ConsultaDetailComponent } from './views/consulta/consulta-detail/consulta-detail.component';
import { DashboardComponent } from './views/dashboard/dashboard.component';
import { PacienteNewComponent } from './views/paciente/paciente-new/paciente-new.component';
import { PacienteEditComponent } from './views/paciente/paciente-edit/paciente-edit.component';
import { PacienteDetailComponent } from './views/paciente/paciente-detail/paciente-detail.component';
import { HistoriaComponent } from './views/paciente/historia/historia.component';
import { EvolucionComponent } from './views/paciente/evolucion/evolucion.component';
import { TratamientoComponent } from './views/paciente/tratamiento/tratamiento.component';
import { HistoriaNewComponent } from './views/paciente/historia/historia-new/historia-new.component';
import { HistoriaEditComponent } from './views/paciente/historia/historia-edit/historia-edit.component';
import { HistoriaDetailComponent } from './views/paciente/historia/historia-detail/historia-detail.component';
import { EvolucionNewComponent } from './views/paciente/evolucion/evolucion-new/evolucion-new.component';
import { EvolucionEditComponent } from './views/paciente/evolucion/evolucion-edit/evolucion-edit.component';
import { EvolucionDetailComponent } from './views/paciente/evolucion/evolucion-detail/evolucion-detail.component';
import { UsuarioComponent } from './views/usuario/usuario.component';
import { TratamientoNewComponent } from './views/paciente/tratamiento/tratamiento-new/tratamiento-new.component';
import { TratamientoEditComponent } from './views/paciente/tratamiento/tratamiento-edit/tratamiento-edit.component';
import { TratamientoDetailComponent } from './views/paciente/tratamiento/tratamiento-detail/tratamiento-detail.component';
import { InformeComponent } from './views/paciente/informe/informe.component';
import { InformeNewComponent } from './views/paciente/informe/informe-new/informe-new.component';
import { InformeEditComponent } from './views/paciente/informe/informe-edit/informe-edit.component';
import { InformeDetailComponent } from './views/paciente/informe/informe-detail/informe-detail.component';
import { Error404Component } from './views/error404/error404.component';


@NgModule({
  declarations: [
    AppComponent,
    SigninComponent,
    SignupComponent,
    HomeComponent,
    ConsultaNewComponent,
    ConsultaEditComponent,
    ConsultaDetailComponent,
    DashboardComponent,
    PacienteNewComponent,
    PacienteEditComponent,
    PacienteDetailComponent,
    HistoriaComponent,
    EvolucionComponent,
    TratamientoComponent,
    HistoriaNewComponent,
    HistoriaEditComponent,
    HistoriaDetailComponent,
    EvolucionNewComponent,
    EvolucionEditComponent,
    EvolucionDetailComponent,
    UsuarioComponent,
    TratamientoNewComponent,
    TratamientoEditComponent,
    TratamientoDetailComponent,
    InformeComponent,
    InformeNewComponent,
    InformeEditComponent,
    InformeDetailComponent,
    Error404Component
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    FormsModule,
    HttpClientModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
