import { Injectable } from "@angular/core";
import { HttpClient , HttpHeaders } from "@angular/common/http";

import { Observable } from "rxjs";
import { GLOBAL } from "./global";
import { Consulta } from "../models/consulta";

@Injectable()
export class ConsultaService {
  public url: string;

  constructor(
    public _http: HttpClient
  ){
    this.url = GLOBAL.url;
  }

  pruebas(){
    return "CONSULTA SEVICIO FUNCIONA"
  }

  create(token, consulta: Consulta): Observable<any>{
    let json = JSON.stringify(consulta);
    let params = 'json='+json;

    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' )
      .set('Authorization', token);

    return this._http.post(this.url+'consultas', params, {headers: headers});
  }

  getConsultas(): Observable<any>{
    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' );
    return this._http.get(this.url+'consultas',{headers: headers});
  }

  getConsulta(id):Observable<any>{
    return this._http.get(this.url+'consultas/'+id);
  }

  update(token, consulta, id):Observable<any>{
    let json = JSON.stringify(consulta);
    let params = 'json='+json;

    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' )
      .set('Authorization', token);
    return this._http.put(this.url+'consultas/'+id, params, {headers: headers});
  }

  delete(token, id): Observable<any>{
    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' )
      .set('Authorization', token);
    return this._http.delete(this.url+'consultas/'+id, {headers: headers});

  }



}
