import { Injectable } from "@angular/core";
import { HttpClient , HttpHeaders } from "@angular/common/http";

import { Observable } from "rxjs";
import { GLOBAL } from "./global";
import { Evolucion } from "../models/evolucion";

@Injectable()
export class EvolucionService {
  public url: string;

  constructor(
    public _http: HttpClient
  ){
    this.url = GLOBAL.url;
  }

  pruebas(){
    return "CONSULTA SEVICIO FUNCIONA"
  }

  create(token, evolucion: Evolucion): Observable<any>{
    let json = JSON.stringify(evolucion);
    let params = 'json='+json;

    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' )
      .set('Authorization', token);

    return this._http.post(this.url+'evoluciones', params, {headers: headers});
  }

  getEvoluciones(): Observable<any>{
    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' );
    return this._http.get(this.url+'evoluciones',{headers: headers});
  }

  getEvolucion(id):Observable<any>{
    return this._http.get(this.url+'evoluciones/'+id);
  }

  update(token, evolucion, id):Observable<any>{
    let json = JSON.stringify(evolucion);
    let params = 'json='+json;

    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' )
      .set('Authorization', token);
    return this._http.put(this.url+'evoluciones/'+id, params, {headers: headers});
  }

  delete(token, id): Observable<any>{
    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' )
      .set('Authorization', token);
    return this._http.delete(this.url+'evoluciones/'+id, {headers: headers});

  }
}
