import { Injectable } from "@angular/core";
import { HttpClient , HttpHeaders } from "@angular/common/http";

import { Observable } from "rxjs";
import { GLOBAL } from "./global";
import { Informe } from "../models/informe";

@Injectable()
export class InformeService {
  public url: string;

  constructor(
    public _http: HttpClient
  ){
    this.url = GLOBAL.url;
  }

  pruebas(){
    return "CONSULTA SEVICIO FUNCIONA"
  }

  create(token, informe: Informe): Observable<any>{
    let json = JSON.stringify(informe);
    let params = 'json='+json;

    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' )
      .set('Authorization', token);

    return this._http.post(this.url+'informes', params, {headers: headers});
  }

  getInformes(): Observable<any>{
    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' );
    return this._http.get(this.url+'informes',{headers: headers});
  }

  getInforme(id):Observable<any>{
    return this._http.get(this.url+'informes/'+id);
  }

  update(token, informe, id):Observable<any>{
    let json = JSON.stringify(informe);
    let params = 'json='+json;

    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' )
      .set('Authorization', token);
    return this._http.put(this.url+'informes/'+id, params, {headers: headers});
  }

  delete(token, id): Observable<any>{
    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' )
      .set('Authorization', token);
    return this._http.delete(this.url+'informes/'+id, {headers: headers});

  }
}
