import { Injectable } from "@angular/core";
import { HttpClient , HttpHeaders } from "@angular/common/http";

import { Observable } from "rxjs";
import { GLOBAL } from "./global";
import { Paciente } from "../models/paciente";

@Injectable()
export class PacienteService {
  public url: string;

  constructor(
    public _http: HttpClient
  ){
    this.url = GLOBAL.url;
  }

  pruebas(){
    return "CONSULTA SEVICIO FUNCIONA"
  }

  create(token, paciente: Paciente): Observable<any>{
    let json = JSON.stringify(paciente);
    let params = 'json='+json;

    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' )
      .set('Authorization', token);

    return this._http.post(this.url+'pacientes', params, {headers: headers});
  }

  getPacientes(): Observable<any>{
    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' );
    return this._http.get(this.url+'pacientes',{headers: headers});
  }

  getPaciente(id):Observable<any>{
    return this._http.get(this.url+'pacientes/'+id);
  }

  update(token, paciente, id):Observable<any>{
    let json = JSON.stringify(paciente);
    let params = 'json='+json;

    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' )
      .set('Authorization', token);
    return this._http.put(this.url+'pacientes/'+id, params, {headers: headers});
  }

  delete(token, id): Observable<any>{
    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' )
      .set('Authorization', token);
    return this._http.delete(this.url+'pacientes/'+id, {headers: headers});

  }
}
