import { Injectable } from "@angular/core";
import { HttpClient , HttpHeaders } from "@angular/common/http";

import { Observable } from "rxjs";
import { GLOBAL } from "./global";
import { Tratamiento } from "../models/tratamiento";

@Injectable()
export class TratamientoService {
  public url: string;

  constructor(
    public _http: HttpClient
  ){
    this.url = GLOBAL.url;
  }

  pruebas(){
    return "CONSULTA SEVICIO FUNCIONA"
  }

  create(token, tratamiento: Tratamiento): Observable<any>{
    let json = JSON.stringify(tratamiento);
    let params = 'json='+json;

    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' )
      .set('Authorization', token);

    return this._http.post(this.url+'tratamientos', params, {headers: headers});
  }

  getTratamientos(): Observable<any>{
    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' );
    return this._http.get(this.url+'tratamientos',{headers: headers});
  }

  getTratamiento(id):Observable<any>{
    return this._http.get(this.url+'tratamientos/'+id);
  }

  update(token, tratamiento, id):Observable<any>{
    let json = JSON.stringify(tratamiento);
    let params = 'json='+json;

    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' )
      .set('Authorization', token);
    return this._http.put(this.url+'tratamientos/'+id, params, {headers: headers});
  }

  delete(token, id): Observable<any>{
    let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded' )
      .set('Authorization', token);
    return this._http.delete(this.url+'tratamientos/'+id, {headers: headers});

  }
}
