import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";
import { UserService } from "../../../shared/services/user.service";
import { Consulta } from "../../../shared/models/consulta";
import { ConsultaService } from "../../../shared/services/consulta.service";
import { Paciente } from "../../../shared/models/paciente";
import { PacienteService} from "../../../shared/services/paciente.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-consulta-detail',
  templateUrl: './consulta-detail.component.html',
  styleUrls: ['./consulta-detail.component.scss'],
  providers: [UserService, ConsultaService, PacienteService]
})
export class ConsultaDetailComponent implements OnInit {

  public consulta: Consulta;
  public pacientesConsulta: Array<Paciente> = [];
  public token;
  
  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _consultaservice: ConsultaService,
    private _pacienteservice: PacienteService
  ) {
    this.token = this._userservice.getToken();
  }

  ngOnInit() {
    this.getConsulta();
  }
  
  getConsulta(){
    this._route.params.subscribe(params => {
      let id = +params['id'];
      
      this._consultaservice.getConsulta(id).subscribe(
        response =>
      {
        if (response.status == 'success') {
          this.consulta = response.consulta;
          this._pacienteservice.getPacientes().subscribe(
            response =>{
              console.log(response);
              console.log(response.pacientes);
              console.log(this.consulta.id);
              let i =0;
              for (i; i < response.pacientes.length; i++){
                if(response.pacientes[i].consulta_id === this.consulta.id){
                  console.log(response.pacientes[i]);
                  // console.log(JSON.stringify(response.pacientes[i]));
                  this.pacientesConsulta.push(response.pacientes[i]);
                }
              }
              // const foundIndex = studies.findIndex(_study => _study.uid === study.uid);
            }, error => {
              console.log(<any>error);
            }
          )
        }else{
          this._router.navigate(['/dashboard']);
        }
      },
      error => {
          console.log(<any>error);
      }
      );
    })
  }

  deleteConsulta(id){
    this._consultaservice.delete(this.token, id).subscribe(
      response =>{
        this.getConsulta();
      }, error => {
        console.log(<any>error);
      }
    )
  }
  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }

}
