import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";
import { UserService } from "../../../shared/services/user.service";
import { Consulta } from "../../../shared/models/consulta";
import { ConsultaService } from "../../../shared/services/consulta.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-consulta-edit',
  templateUrl: '../consulta-new/consulta-new.component.html',
  styleUrls: ['./consulta-edit.component.scss'],
  providers: [UserService, ConsultaService]

})
export class ConsultaEditComponent implements OnInit {
  public pageTitle: string;
  public consulta: Consulta;
  public token;
  public status;

  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _consultaservice: ConsultaService
  ) {
    this.token = this._userservice.getToken();
  }

  ngOnInit() {
    this._route.params.subscribe(params => {
      let id = +params['id'];
      this.getConsulta(id);
    });

  }

  getConsulta(id){
      this._consultaservice.getConsulta(id).subscribe(
        response =>
        {
          if (response.status == 'success') {
            this.consulta = response.consulta;
            this.pageTitle = 'Editar ' + this.consulta.name;
          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );
  }

  onSubmit(form){
    // servicio
    this._consultaservice.update(this.token, this.consulta, this.consulta.id).subscribe(
      response =>{
        console.log(response);
          if(response.status == 'success'){
            this.status = 'success';
            this.consulta = response.consulta;
            this._router.navigate(['/consulta', this.consulta.id]);
          }else{
            this.status = 'error';
          }
        },
        error =>{
        console.log(<any>error);
      }
    );
  }
  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }
}
