import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";
import { UserService } from "../../../shared/services/user.service";
import { Consulta } from "../../../shared/models/consulta";
import { ConsultaService } from "../../../shared/services/consulta.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-consulta-new',
  templateUrl: './consulta-new.component.html',
  styleUrls: ['./consulta-new.component.scss'],
  providers: [UserService, ConsultaService]
})
export class ConsultaNewComponent implements OnInit {
  public pageTitle: string;
  public identity;
  public token;
  public consulta: Consulta;
  public status: string;


  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _consultaservice: ConsultaService
  ) {
    this.pageTitle = 'Crear consulta';
    this.identity = this._userservice.getIdentity();
    this.token = this._userservice.getToken();
  }

  ngOnInit() {
    if(this.identity == null){
      this._router.navigate(['/signin']);
    }else{
      // CREAR CONSULTA
      this.consulta = new Consulta(1,'',1,null,null);
    }
  }

  onSubmit(form){
    this._consultaservice.create(this.token, this.consulta).subscribe(
      response =>{
        if(response.status != 'error') {
          this.status = 'success';
          this.consulta = response.consulta;
          this._router.navigate(['/dashboard']);
        }else{
          this.status = 'error';
        }
      },
        error =>{
        console.log(<any>error);

      }
    );
  }
  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }

}
