import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";
import { Consulta } from "../../shared/models/consulta";
import { ConsultaService } from "../../shared/services/consulta.service";
import { UserService } from "../../shared/services/user.service";
import { Paciente } from "../../shared/models/paciente";
import { PacienteService} from "../../shared/services/paciente.service";
import {identity} from "rxjs";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-dashboard',
  templateUrl: './dashboard.component.html',
  styleUrls: ['./dashboard.component.scss'],
  providers:[ConsultaService, PacienteService, UserService]
})
export class DashboardComponent implements OnInit {
  public title: string;
  public consultas: Array<Consulta> = [];
  public pacientes: Array<Paciente> = [];
  public consulta_id;
  public token;
  public user;

  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _consultaservice: ConsultaService,
    private _pacienteservice: PacienteService
  ) {
    this.title = 'Dashboard';
    this.token = this._userservice.getToken();
  }

  ngOnInit() {
    this.getConsultas();
  }
  getConsultas(){
    this.consultas = [];
    this.pacientes = [];
    this.user = this._userservice.getIdentity();

    this._consultaservice.getConsultas().subscribe(
      response =>{
        if(response.status == 'success'){
          let i = 0;
          for ( i; i < response.consultas.length; i++){
            if(response.consultas[i].user_id == this.user.sub){
              this.consultas.push(response.consultas[i]);
              let j = 0;
              for ( j; j < this.consultas.length; j++){
                this.consulta_id = this.consultas[j].id;
                this.getPacientesPorConsulta(this.consultas[j].id);
              }
            }
          }
        }
      },
      error =>{
        console.log(error);
      }
    );
  }

  getPacientesPorConsulta(consulta_id){
    this.pacientes = [];
    this._pacienteservice.getPacientes().subscribe(
      response =>{
        if(response.status == 'success'){
          let i = 0;
          for ( i; i < response.pacientes.length; i++){
            if(response.pacientes[i].consulta_id == consulta_id){
              this.pacientes.push(response.pacientes[i]);
              console.log(this.pacientes.length);
            }
          }
        }
      },
      error =>{
        console.log(error);
      }
    );
  }

  deleteConsulta(id){
    this._consultaservice.delete(this.token, id).subscribe(
      response =>{
        console.log(response);
        this.getConsultas();
      }, error => {
        console.log(<any>error);
      }
    )
  }

  deletePaciente(id){
    this._pacienteservice.delete(this.token, id).subscribe(
      response =>{
        this.getPacientesPorConsulta(this.consulta_id);
      }, error => {
        console.log(<any>error);
      }
    )
  }
  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }

}
