import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";
import { UserService} from "../../../../shared/services/user.service";
import { Paciente } from "../../../../shared/models/paciente";
import { PacienteService } from "../../../../shared/services/paciente.service";
import { Historia } from "../../../../shared/models/historia";
import { HistoriaService } from "../../../../shared/services/historia.service";
import { Evolucion } from "../../../../shared/models/evolucion";
import { EvolucionService } from "../../../../shared/services/evolucion.service";
import { Tratamiento } from "../../../../shared/models/tratamiento";
import { TratamientoService} from "../../../../shared/services/tratamiento.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-evolucion-detail',
  templateUrl: './evolucion-detail.component.html',
  styleUrls: ['./evolucion-detail.component.scss'],
  providers: [UserService, PacienteService, HistoriaService, EvolucionService, TratamientoService]
})
export class EvolucionDetailComponent implements OnInit {

  public historia: Historia;
  public paciente: Paciente;
  public evolucion: Evolucion;
  public tratamiento: Tratamiento;
  public tratamientosPaciente: Array<Tratamiento> = [];
  public tieneTratamientos;
  public fecha;
  public token;


  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _pacienteservice: PacienteService,
    private _historiaservice: HistoriaService,
    private _evolucionservice: EvolucionService,
    private _tratamientoservice: TratamientoService
  ) {
    this.token = this._userservice.getToken();
  }

  ngOnInit() {
    this.getEvolucion();
  }

  getEvolucion(){
    this._route.params.subscribe(params => {
      let id = +params['id'];
      let hid = +params['hid'];
      let eid = +params['eid'];
      console.log(id);
      console.log(hid);
      console.log(eid);


      this._evolucionservice.getEvolucion(eid).subscribe(
        response =>
        {
          console.log(response);
          if (response.status == 'success') {
            this.evolucion = response.evolucion;
            console.log(this.evolucion);

          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );

      this._historiaservice.getHistoria(hid).subscribe(
        response =>
        {
          if (response.status == 'success') {
            this.historia = response.historia;
          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );

      this._pacienteservice.getPaciente(id).subscribe(
        response =>
        {
          if (response.status == 'success') {
            this.paciente = response.paciente;
          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );

      // TRATAMIENTOS
      this._tratamientoservice.getTratamientos().subscribe(
        response =>{
          let i =0;
          for (i; i < response.tratamientos.length; i++){
            if(response.tratamientos[i].evolucion_id === this.evolucion.id){
              console.log(response.tratamientos);
              // console.log(JSON.stringify(response.pacientes[i]));
              this.tratamientosPaciente.push(response.tratamientos[i]);
              console.log(this.tratamientosPaciente);
              this.tieneTratamientos = true;
            }
          }

          // const foundIndex = studies.findIndex(_study => _study.uid === study.uid);
        }, error => {
          console.log(<any>error);
        }
      );
    })
  }

  deleteTratamiento(id){
    this._tratamientoservice.delete(this.token, id).subscribe(
      response =>{
        console.log(response);
        this.getEvolucion();
      }, error => {
        console.log(<any>error);
      }
    )
  }
  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }


}
