import { Component, OnInit } from '@angular/core';
import {ActivatedRoute, Router} from "@angular/router";
import {UserService} from "../../../../shared/services/user.service";
import { Paciente } from "../../../../shared/models/paciente";
import { PacienteService } from "../../../../shared/services/paciente.service";
import {Historia} from "../../../../shared/models/historia";
import {HistoriaService} from "../../../../shared/services/historia.service";
import { Evolucion } from "../../../../shared/models/evolucion";
import { EvolucionService } from "../../../../shared/services/evolucion.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-evolucion-edit',
  templateUrl: './evolucion-edit.component.html',
  styleUrls: ['./evolucion-edit.component.scss'],
  providers: [UserService, PacienteService, HistoriaService, EvolucionService]

})
export class EvolucionEditComponent implements OnInit {

  public pageTitle: string;
  public paciente: Paciente;
  public historia: Historia;
  public evolucion: Evolucion;
  public token;
  public status_evolucion;
  public hid;
  public id;
  public eid;

  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _pacienteservice: PacienteService,
    private _historiaservice: HistoriaService,
    private _evolucionservice: EvolucionService
  ) {
    this.token = this._userservice.getToken();
  }

  ngOnInit() {
    this._route.params.subscribe(params => {
      this.id = +params['id'];
      this.hid = +params['hid'];
      this.eid = +params['eid'];
      this._pacienteservice.getPaciente(this.id).subscribe(
        response =>
        {
          if (response.status == 'success') {
            this.paciente = response.paciente;
          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );

      this.getEvolucion(this.eid);
    });

  }

  getEvolucion(eid){
    this._evolucionservice.getEvolucion(eid).subscribe(
      response =>
      {
        if (response.status == 'success') {
          this.evolucion = response.evolucion;
        }else{
          this._router.navigate(['/dashboard']);
        }
      },
      error => {
        console.log(<any>error);
      }
    );
  }

  onSubmit(form){
    // servicio
    this._evolucionservice.update(this.token, this.evolucion, this.evolucion.id).subscribe(
      response =>{
        console.log(response);
        if(response.status == 'success'){
          this.status_evolucion = 'success';
          this.evolucion = response.evolucion;
        }else{
          this.status_evolucion = 'error';
        }
      },
      error =>{
        console.log(<any>error);
      }
    );
  }
  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }


}
