import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";
import { Historia } from "../../../../shared/models/historia";
import { HistoriaService } from "../../../../shared/services/historia.service";
import {UserService} from "../../../../shared/services/user.service";
import { Evolucion } from "../../../../shared/models/evolucion";
import { EvolucionService} from "../../../../shared/services/evolucion.service";
import { Paciente } from "../../../../shared/models/paciente";
import { PacienteService } from "../../../../shared/services/paciente.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-evolucion-new',
  templateUrl: './evolucion-new.component.html',
  styleUrls: ['./evolucion-new.component.scss'],
  providers: [UserService, PacienteService, HistoriaService, EvolucionService]

})
export class EvolucionNewComponent implements OnInit {

  public identity;
  public token;
  public paciente: Paciente;
  public historia: Historia;
  public evolucion: Evolucion;
  public status: string;
  public id;
  public hid;

  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _pacienteservice:PacienteService,
    private _historiaservice: HistoriaService,
    private _evolucionservice: EvolucionService

  ) {
    this.identity = this._userservice.getIdentity();
    this.token = this._userservice.getToken();
  }


  ngOnInit() {
    if(this.identity == null){
      this._router.navigate(['/signin']);
    }else{
      this._route.params.subscribe(params => {
        this.id = +params['id'];
        this.hid = +params['hid'];
        this.evolucion = new Evolucion(1, '', '', '', this.hid,this.id,null, null);
        this._pacienteservice.getPaciente(this.id).subscribe(
          response =>
          {
            if (response.status == 'success') {
              this.paciente = response.paciente;
            }else{
              this._router.navigate(['/dashboard']);
            }
          },
          error => {
            console.log(<any>error);
          }
        );
      });
    }
  }

  onSubmit(form){
    this._evolucionservice.create(this.token, this.evolucion).subscribe(
      response =>{
        if(response.status != 'error') {
          this.status = 'success';
          this.evolucion = response.evolucion;
          this._router.navigate(['/paciente',this.id,'historia',this.hid,'evolucion',this.evolucion.id]);
        }else{
          this.status = 'error';
        }
      },
      error =>{
        console.log(<any>error);

      }
    );
  }
  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }
}
