import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";
import { Evolucion } from "../../../shared/models/evolucion";
import { EvolucionService } from "../../../shared/services/evolucion.service";
import {Paciente} from "../../../shared/models/paciente";
import {UserService} from "../../../shared/services/user.service";
import {PacienteService} from "../../../shared/services/paciente.service";
import { Historia } from "../../../shared/models/historia";
import { HistoriaService } from "../../../shared/services/historia.service";


// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-evolucion',
  templateUrl: './evolucion.component.html',
  styleUrls: ['./evolucion.component.scss'],
  providers: [ EvolucionService, PacienteService, UserService, HistoriaService ]
})
export class EvolucionComponent implements OnInit {

  public title: string;
  public paciente: Paciente;
  public evolucionesPaciente: Array<Evolucion> = [];
  public tieneEvolucion = false;
  public historiaPaciente: Array<Historia> = [];
  public tieneHistoria = false;

  public token;
  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _pacienteservice: PacienteService,
    private _historiaservice: HistoriaService,
    private _evolucionservice: EvolucionService
  ) {
    this.token = this._userservice.getToken();
  }

  ngOnInit() {
    this.getEvoluciones();
  }
  getEvoluciones(){
  this.evolucionesPaciente = [];
  this.historiaPaciente = [];
    this._route.params.subscribe(params => {
      let id = +params['id'];

      this._pacienteservice.getPaciente(id).subscribe(
        response =>
        {
          if (response.status == 'success') {
            this.paciente = response.paciente;

            // HISTORIA
            this._historiaservice.getHistorias().subscribe(
              response =>{
                let i =0;
                for (i; i < response.historias.length; i++){
                  if(response.historias[i].paciente_id === this.paciente.id){

                    // console.log(JSON.stringify(response.pacientes[i]));
                    this.historiaPaciente.push(response.historias[i]);
                    this.tieneHistoria = true;
                  }
                }

                // const foundIndex = studies.findIndex(_study => _study.uid === study.uid);
              }, error => {
                console.log(<any>error);
              });

            // EVOLUCIONES
            this._evolucionservice.getEvoluciones().subscribe(
              response =>{
                console.log(response);
                let i =0;
                for (i; i < response.evoluciones.length; i++){
                  if(response.evoluciones[i].paciente_id === this.paciente.id){
                    console.log(response.evoluciones);
                    // console.log(JSON.stringify(response.pacientes[i]));
                    this.evolucionesPaciente.push(response.evoluciones[i]);
                    console.log(this.evolucionesPaciente);
                    this.tieneEvolucion = true;
                  }
                }

                // const foundIndex = studies.findIndex(_study => _study.uid === study.uid);
              }, error => {
                console.log(<any>error);
              }
            )
          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );
    })
  }

  deleteEvolucion(id){
    this._evolucionservice.delete(this.token, id).subscribe(
      response =>{
        console.log(response);
        this.getEvoluciones();
      }, error => {
        console.log(<any>error);
      }
    )
  }
  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }

}
