import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";
import { UserService} from "../../../../shared/services/user.service";
import { Paciente } from "../../../../shared/models/paciente";
import { PacienteService } from "../../../../shared/services/paciente.service";
import { Historia } from "../../../../shared/models/historia";
import { HistoriaService } from "../../../../shared/services/historia.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-historia-detail',
  templateUrl: './historia-detail.component.html',
  styleUrls: ['./historia-detail.component.scss'],
  providers: [UserService, PacienteService, HistoriaService]
})
export class HistoriaDetailComponent implements OnInit {

  public historia: Historia;
  public paciente: Paciente;

  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _pacienteservice: PacienteService,
    private _historiaservice: HistoriaService
  ) { }

  ngOnInit() {
    this.getHistoria();
  }

  getHistoria(){
    this._route.params.subscribe(params => {
      let id = +params['id'];
      let hid = +params['hid'];

      this._historiaservice.getHistoria(hid).subscribe(
        response =>
        {
          if (response.status == 'success') {
            this.historia = response.historia;
          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );

      this._pacienteservice.getPaciente(id).subscribe(
        response =>
        {
          if (response.status == 'success') {
            this.paciente = response.paciente;
          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );
    })
  }

  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }
}
