import { Component, OnInit } from '@angular/core';
import {ActivatedRoute, Router} from "@angular/router";
import {UserService} from "../../../../shared/services/user.service";
import {Historia} from "../../../../shared/models/historia";
import {HistoriaService} from "../../../../shared/services/historia.service";
import {Paciente } from "../../../../shared/models/paciente";
import {PacienteService} from "../../../../shared/services/paciente.service";


// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-historia-edit',
  templateUrl: './historia-edit.component.html',
  styleUrls: ['./historia-edit.component.scss'],
  providers:[UserService, HistoriaService, PacienteService]
})
export class HistoriaEditComponent implements OnInit {

  public pageTitle: string;
  public historia: Historia;
  public paciente: Paciente;
  public token;
  public status_historia;
  public hid;
  public id;

  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _pacienteservice: PacienteService,
    private _historiaservice: HistoriaService
  ) {
    this.token = this._userservice.getToken();
  }

  ngOnInit() {
    this._route.params.subscribe(params => {
      this.id = +params['id'];
      let hid = +params['hid'];
      this.hid = hid;
      this._pacienteservice.getPaciente(this.id).subscribe(
        response =>
        {
          if (response.status == 'success') {
            this.paciente = response.paciente;
          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );
      this.getHistoria(hid);
    });

  }

  getHistoria(hid){
    this._historiaservice.getHistoria(hid).subscribe(
      response =>
      {
        if (response.status == 'success') {
          this.historia = response.historia;
          this.pageTitle = 'Editar historia clínica';
        }else{
          this._router.navigate(['/dashboard']);
        }
      },
      error => {
        console.log(<any>error);
      }
    );

  }

  onSubmit(form){
    // servicio
    this._historiaservice.update(this.token, this.historia, this.historia.id).subscribe(
      response =>{
        console.log(response);
        if(response.status == 'success'){
          this.status_historia = 'success';
          this.historia = response.historia;
          this._router.navigate(['/paciente/', this.id,'historia',this.historia.id]);
        }else{
          this.status_historia = 'error';
        }
      },
      error =>{
        console.log(<any>error);
      }
    );
  }

  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }


}
