import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";
import { Historia } from "../../../../shared/models/historia";
import { HistoriaService } from "../../../../shared/services/historia.service";
import {UserService} from "../../../../shared/services/user.service";
import { Paciente } from "../../../../shared/models/paciente";
import { PacienteService } from "../../../../shared/services/paciente.service";


// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-historia-new',
  templateUrl: './historia-new.component.html',
  styleUrls: ['./historia-new.component.scss'],
  providers: [UserService, HistoriaService, PacienteService]

})
export class HistoriaNewComponent implements OnInit {

  public pageTitle: string;
  public identity;
  public token;
  public historia: Historia;
  public paciente: Paciente;
  public status: string;
  public id;

  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _historiaservice: HistoriaService,
    private _pacienteservice: PacienteService
  ) {
    this.pageTitle = 'Crear paciente';
    this.identity = this._userservice.getIdentity();
    this.token = this._userservice.getToken();
  }


  ngOnInit() {
    if(this.identity == null){
      this._router.navigate(['/signin']);
    }else{
      this._route.params.subscribe(params => {
       this.id = +params['id'];
        this._pacienteservice.getPaciente(this.id).subscribe(
          response =>
          {
            if (response.status == 'success') {
              this.paciente = response.paciente;
            }else{
              this._router.navigate(['/dashboard']);
            }
          },
          error => {
            console.log(<any>error);
          }
        );
        this.historia = new Historia(1, this.id, '',
          '','','',
        '','','','','', null,null);
      });
    }
  }

  onSubmit(form){
    this._historiaservice.create(this.token, this.historia).subscribe(
      response =>{
        if(response.status != 'error') {
          this.status = 'success';
          console.log(response);
          this.historia = response.historia;
          this._router.navigate(['/paciente',this.id]);
        }else{
          this.status = 'error';
        }
      },
      error =>{
        console.log(<any>error);

      }
    );
  }
  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }

}
