import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";
import { UserService} from "../../../../shared/services/user.service";
import { Paciente } from "../../../../shared/models/paciente";
import { PacienteService } from "../../../../shared/services/paciente.service";
import { Historia } from "../../../../shared/models/historia";
import { HistoriaService } from "../../../../shared/services/historia.service";
import { Tratamiento } from "../../../../shared/models/tratamiento";
import { TratamientoService} from "../../../../shared/services/tratamiento.service";
import { Informe } from "../../../../shared/models/informe";
import { InformeService } from "../../../../shared/services/informe.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-informe-detail',
  templateUrl: './informe-detail.component.html',
  styleUrls: ['./informe-detail.component.scss'],
  providers: [UserService, PacienteService, HistoriaService, InformeService, TratamientoService]
})
export class InformeDetailComponent implements OnInit {

  public historia: Historia;
  public paciente: Paciente;
  public informe: Informe;
  public historiaPaciente: Array<Historia> = [];
  public tieneHistoria = false;
  public fecha;

  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _pacienteservice: PacienteService,
    private _historiaservice: HistoriaService,
    private _informeservice: InformeService,
  ) { }

  ngOnInit() {
    this.getEvolucion();
  }

  getEvolucion(){
    this._route.params.subscribe(params => {
      let id = +params['id'];
      let iid = +params['iid'];
      console.log(id);
      console.log(iid);


      this._informeservice.getInforme(iid).subscribe(
        response =>
        {
          console.log(response);
          if (response.status == 'success') {
            this.informe = response.informe;
            console.log(this.informe);

          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );

      this._pacienteservice.getPaciente(id).subscribe(
        response =>
        {
          if (response.status == 'success') {
            this.paciente = response.paciente;
            // HISTORIA
            this._historiaservice.getHistorias().subscribe(
              response =>{
                let i =0;
                for (i; i < response.historias.length; i++){
                  if(response.historias[i].paciente_id === this.paciente.id){

                    // console.log(JSON.stringify(response.pacientes[i]));
                    this.historiaPaciente.push(response.historias[i]);
                    this.tieneHistoria = true;
                  }
                }

                // const foundIndex = studies.findIndex(_study => _study.uid === study.uid);
              }, error => {
                console.log(<any>error);
              });
          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );

    })
  }

  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }

}
