import { Component, OnInit } from '@angular/core';
import {ActivatedRoute, Router} from "@angular/router";
import {UserService} from "../../../../shared/services/user.service";
import { Paciente } from "../../../../shared/models/paciente";
import { PacienteService } from "../../../../shared/services/paciente.service";
import {Historia} from "../../../../shared/models/historia";
import {HistoriaService} from "../../../../shared/services/historia.service";
import { Informe } from "../../../../shared/models/informe";
import { InformeService } from "../../../../shared/services/informe.service";


// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-informe-edit',
  templateUrl: './informe-edit.component.html',
  styleUrls: ['./informe-edit.component.scss'],
  providers: [UserService, PacienteService, HistoriaService, InformeService ]

})
export class InformeEditComponent implements OnInit {

  public pageTitle: string;
  public paciente: Paciente;
  public historia: Historia;
  public informe: Informe;
  public token;
  public status;
  public id;
  public iid;


  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _pacienteservice: PacienteService,
    private _historiaservice: HistoriaService,
    private _informeservice: InformeService
  ) {
    this.token = this._userservice.getToken();
  }

  ngOnInit() {
    this._route.params.subscribe(params => {
      this.id = +params['id'];
      this.iid = +params['iid'];
      this._pacienteservice.getPaciente(this.id).subscribe(
        response =>
        {
          if (response.status == 'success') {
            this.paciente = response.paciente;
          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );

      this.getInforme(this.iid);
    });

    /*jquery para controlar el menú

    var ventana_ancho = $(window).width();
    if(ventana_ancho < 1200){
      $( ".menu-vertical" ).hide();
    }

    $(window).resize(function(){
      var alto=$(window).height();
      var ancho=$(window).width();
      if(ancho < 1200){
        $( ".menu-vertical" ).hide();
      }else{
        $( ".menu-vertical" ).show();
      }
    })*/

  }

  getInforme(iid){
    this._informeservice.getInforme(iid).subscribe(
      response =>
      {
        if (response.status == 'success') {
          this.informe = response.informe;
        }else{
          this._router.navigate(['/dashboard']);
        }
      },
      error => {
        console.log(<any>error);
      }
    );
  }

  onSubmit(form){
    // servicio
    this._informeservice.update(this.token, this.informe, this.informe.id).subscribe(
      response =>{
        console.log(response);
        if(response.status == 'success'){
          this.status = 'success';
          this.informe = response.informe;
        }else{
          this.status = 'error';
        }
      },
      error =>{
        console.log(<any>error);
      }
    );
  }


  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }


}

