import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";
import { Paciente } from "../../../shared/models/paciente";
import { UserService } from "../../../shared/services/user.service";
import { PacienteService } from "../../../shared/services/paciente.service";
import { Historia } from "../../../shared/models/historia";
import { HistoriaService } from "../../../shared/services/historia.service";
import { Informe } from "../../../shared/models/informe";
import { InformeService } from "../../../shared/services/informe.service";


// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-informe',
  templateUrl: './informe.component.html',
  styleUrls: ['./informe.component.scss'],
  providers: [ InformeService, PacienteService, UserService, HistoriaService ]
})
export class InformeComponent implements OnInit {

  public title: string;
  public paciente: Paciente;
  public informesPaciente: Array<Informe> = [];
  public tieneInformes = false;
  public historiaPaciente: Array<Historia> = [];
  public tieneHistoria = false;

  public token;
  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _pacienteservice: PacienteService,
    private _historiaservice: HistoriaService,
    private _informeservice: InformeService
  ) {
    this.token = this._userservice.getToken();
  }

  ngOnInit() {
    this.getInformes();
  }
  getInformes(){
  this.informesPaciente = [];
  this.historiaPaciente = [];

    this._route.params.subscribe(params => {
      let id = +params['id'];

      this._pacienteservice.getPaciente(id).subscribe(
        response =>
        {
          if (response.status == 'success') {
            this.paciente = response.paciente;

            // HISTORIA
            this._historiaservice.getHistorias().subscribe(
              response =>{
                let i =0;
                for (i; i < response.historias.length; i++){
                  if(response.historias[i].paciente_id === this.paciente.id){

                    // console.log(JSON.stringify(response.pacientes[i]));
                    this.historiaPaciente.push(response.historias[i]);
                    this.tieneHistoria = true;
                  }
                }

                // const foundIndex = studies.findIndex(_study => _study.uid === study.uid);
              }, error => {
                console.log(<any>error);
              });

            // EVOLUCIONES
            this._informeservice.getInformes().subscribe(
              response =>{
                console.log(response);
                let i =0;
                for (i; i < response.informes.length; i++){
                  if(response.informes[i].paciente_id === this.paciente.id){
                    console.log(response.informes);
                    // console.log(JSON.stringify(response.pacientes[i]));
                    this.informesPaciente.push(response.informes[i]);
                    console.log(this.informesPaciente);
                    this.tieneInformes = true;
                  }
                }

                // const foundIndex = studies.findIndex(_study => _study.uid === study.uid);
              }, error => {
                console.log(<any>error);
              }
            )
          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );
    })
  }
  deleteInforme(id){
    this._informeservice.delete(this.token, id).subscribe(
      response =>{
        console.log(response);
        this.getInformes();
      }, error => {
        console.log(<any>error);
      }
    )
  }
  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }

}

