import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";

import { UserService } from "../../../shared/services/user.service";

import { Paciente } from "../../../shared/models/paciente";
import { PacienteService} from "../../../shared/services/paciente.service";

import { Historia } from "../../../shared/models/historia";
import { HistoriaService } from "../../../shared/services/historia.service";

import { EvolucionService } from "../../../shared/services/evolucion.service";
import { Evolucion } from "../../../shared/models/evolucion";

import { Informe } from "../../../shared/models/informe";
import { InformeService } from "../../../shared/services/informe.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-paciente-detail',
  templateUrl: './paciente-detail.component.html',
  styleUrls: ['./paciente-detail.component.scss'],
  providers: [UserService, PacienteService, HistoriaService, EvolucionService, InformeService]
})
export class PacienteDetailComponent implements OnInit {
  public paciente: Paciente;
  public historiaPaciente: Array<Historia> = [];
  public tieneHistoria = false;
  public evolucionesPaciente: Array<Evolucion> = [];
  public tieneEvolucion = false;
  public informesPaciente: Array<Informe> = [];
  public tieneInforme = false;


  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _pacienteservice: PacienteService,
    private _historiaservice: HistoriaService,
    private _evolucionservice: EvolucionService,
    private _informeservice: InformeService
  ) { }

  ngOnInit() {
    this.getPaciente();
  }

  getPaciente(){
  this.tieneHistoria = false;
    this.tieneEvolucion = false;
  this.tieneInforme = false;

    this._route.params.subscribe(
      params => {
      let id = +params['id'];

      this._pacienteservice.getPaciente(id).subscribe(
        response =>
        {
          if (response.status == 'success') {
            this.paciente = response.paciente;
            this._historiaservice.getHistorias().subscribe(
              response =>{
                let i =0;
                for (i; i < response.historias.length; i++){
                  if(response.historias[i].paciente_id == this.paciente.id){
                    this.historiaPaciente.push(response.historias[i]);
                    this.tieneHistoria = true;
                  }
                }

                // const foundIndex = studies.findIndex(_study => _study.uid === study.uid);
              }, error => {
                // console.log(<any>error);
              }
            )
          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );

      // EVOLUCIONES
      this._evolucionservice.getEvoluciones().subscribe(
        response =>{
          let i =0;
          for (i; i < response.evoluciones.length; i++){
            if(response.evoluciones[i].paciente_id === this.paciente.id){
              this.evolucionesPaciente.push(response.evoluciones[i]);
              this.tieneEvolucion = true;
            }
          }

        }, error => {
          console.log(<any>error);
        }
      )

        // INFORMES
        this._informeservice.getInformes().subscribe(
          response =>{
            let i =0;
            for (i; i < response.informes.length; i++){
              if(response.informes[i].paciente_id === this.paciente.id){
                this.informesPaciente.push(response.informes[i]);
                this.tieneInforme = true;
              }
            }

          }, error => {
            console.log(<any>error);
          }
        )
    })
  }
  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }
}
