import { Component, OnInit } from '@angular/core';
import {ActivatedRoute, Router} from "@angular/router";
import {UserService} from "../../../shared/services/user.service";
import { Paciente } from "../../../shared/models/paciente";
import {PacienteService} from "../../../shared/services/paciente.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-paciente-edit',
  templateUrl: './paciente-edit.component.html',
  styleUrls: ['./paciente-edit.component.scss'],
  providers:[UserService, PacienteService]
})
export class PacienteEditComponent implements OnInit {

  public pageTitle: string;
  public paciente: Paciente;
  public token;
  public status_paciente;
  public id = 0;

  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _pacienteservice: PacienteService
  ) {
    this.token = this._userservice.getToken();
  }

  ngOnInit() {
    this._route.params.subscribe(params => {
      let id = +params['id'];
      this.id = id;
      this.getPaciente(id);
    });

  }

  getPaciente(id){
    this._pacienteservice.getPaciente(id).subscribe(
      response =>
      {
        if (response.status == 'success') {
          this.paciente = response.paciente;
          this.pageTitle = 'Editar ' + this.paciente.name;
        }else{
          this._router.navigate(['/dashboard']);
        }
      },
      error => {
        // console.log(<any>error);
      }
    );
  }

  onSubmit(form){
    // servicio
    this._pacienteservice.update(this.token, this.paciente, this.paciente.id).subscribe(
      response =>{
        console.log(response);
        if(response.status == 'success'){
          this.status_paciente = 'success';
          console.log(this.status_paciente);
          this.paciente = response.paciente;
          console.log(this.paciente)
        }else{
          this.status_paciente = 'error';
        }
      },
      error =>{
        // console.log(<any>error);
      }
    );
  }

  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }
}
