import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";
import { UserService } from "../../../shared/services/user.service";
import { Consulta } from "../../../shared/models/consulta";
import { ConsultaService } from "../../../shared/services/consulta.service";
import { Paciente } from "../../../shared/models/paciente";
import { PacienteService } from "../../../shared/services/paciente.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-paciente-new',
  templateUrl: './paciente-new.component.html',
  styleUrls: ['./paciente-new.component.scss'],
  providers: [UserService, ConsultaService, PacienteService]
})
export class PacienteNewComponent implements OnInit {
  public pageTitle: string;
  public identity;
  public token;
  public paciente: Paciente;
  public status: string;
  public consultas: Array<Consulta> = [];


  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _consultaservice: ConsultaService,
    private _pacienteservice: PacienteService
  ) {
    this.pageTitle = 'Crear paciente';
    this.identity = this._userservice.getIdentity();
    this.token = this._userservice.getToken();
  }

  ngOnInit() {
    if(this.identity == null){
      this._router.navigate(['/signin']);
    }else{
      // CREAR PACIENTE
      this.paciente = new Paciente(1, 2,'','',
        '', '','','','', '',
        '', '', '',null, null);
    }
    this.getConsultas();
  }

  /* getConsultas(){
    this._consultaservice.getConsultas().subscribe(
      response =>{
        if(response.status =='success'){

          this.consultas = response.consultas;
        }
      },
      error =>{
        console.log(error);
      }
    );
  }*/

  getConsultas(){

    this._consultaservice.getConsultas().subscribe(
      response =>{
        console.log(response);
        if(response.status == 'success'){
          let i = 0;
          console.log(response.consultas.length);
          console.log(this.identity);
          for ( i; i < response.consultas.length; i++){
            console.log(response.consultas[i]);
            if(response.consultas[i].user_id == this.identity.sub){
              this.consultas.push(response.consultas[i]);
            }
          }
          console.log(this.consultas);
        }
      },
      error =>{
        console.log(error);
      }
    );
  }

  onSubmit(form){
    console.log(this.paciente);
    this._pacienteservice.create(this.token, this.paciente).subscribe(
      response =>{
        if(response.status != 'error') {
          this.status = 'success';
          this.paciente = response.paciente;
          this._router.navigate(['/paciente', this.paciente.id]);

        }else{
          this.status = 'error';
        }
      },
      error =>{
        console.log(<any>error);

      }
    );
  }

  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }
}
