import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";
import { UserService} from "../../../../shared/services/user.service";
import { Paciente } from "../../../../shared/models/paciente";
import { PacienteService } from "../../../../shared/services/paciente.service";
import { Historia } from "../../../../shared/models/historia";
import { HistoriaService } from "../../../../shared/services/historia.service";
import { Evolucion } from "../../../../shared/models/evolucion";
import { EvolucionService } from "../../../../shared/services/evolucion.service";
import { Tratamiento } from "../../../../shared/models/tratamiento";
import { TratamientoService} from "../../../../shared/services/tratamiento.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-tratamiento-detail',
  templateUrl: './tratamiento-detail.component.html',
  styleUrls: ['./tratamiento-detail.component.scss'],
  providers: [UserService, PacienteService, HistoriaService, EvolucionService, TratamientoService]
})
export class TratamientoDetailComponent implements OnInit {

  public historia: Historia;
  public paciente: Paciente;
  public evolucion: Evolucion;
  public tratamiento: Tratamiento;
  public fecha;

  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _pacienteservice: PacienteService,
    private _historiaservice: HistoriaService,
    private _evolucionservice: EvolucionService,
    private _tratamientoservice: TratamientoService
  ) { }

  ngOnInit() {
    this.getTratamiento();
  }

  getTratamiento(){
    this._route.params.subscribe(params => {
      let id = +params['id'];
      let hid = +params['hid'];
      let eid = +params['eid'];
      let tid = +params['tid'];

      this._tratamientoservice.getTratamiento(tid).subscribe(
        response =>
        {
          console.log(response);
          if (response.status == 'success') {
            this.tratamiento = response.tratamiento;
            console.log(this.tratamiento);

          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );

      this._historiaservice.getHistoria(hid).subscribe(
        response =>
        {
          if (response.status == 'success') {
            this.historia = response.historia;
          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );

      this._pacienteservice.getPaciente(id).subscribe(
        response =>
        {
          if (response.status == 'success') {
            this.paciente = response.paciente;
          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );
    })
  }

  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }

}

