import { Component, OnInit } from '@angular/core';
import {ActivatedRoute, Router} from "@angular/router";
import {UserService} from "../../../../shared/services/user.service";
import { Paciente } from "../../../../shared/models/paciente";
import { PacienteService } from "../../../../shared/services/paciente.service";
import {Historia} from "../../../../shared/models/historia";
import {HistoriaService} from "../../../../shared/services/historia.service";
import { Evolucion } from "../../../../shared/models/evolucion";
import { EvolucionService } from "../../../../shared/services/evolucion.service";
import { Tratamiento } from "../../../../shared/models/tratamiento";
import { TratamientoService } from "../../../../shared/services/tratamiento.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-tratamiento-edit',
  templateUrl: './tratamiento-edit.component.html',
  styleUrls: ['./tratamiento-edit.component.scss'],
  providers: [UserService, PacienteService, HistoriaService, EvolucionService, TratamientoService]

})
export class TratamientoEditComponent implements OnInit {

  public pageTitle: string;
  public paciente: Paciente;
  public historia: Historia;
  public evolucion: Evolucion;
  public tratamiento: Tratamiento;
  public token;
  public status_tratamiento;
  public hid;
  public id;
  public eid;
  public tid;

  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _pacienteservice: PacienteService,
    private _historiaservice: HistoriaService,
    private _evolucionservice: EvolucionService,
    private _tratamientoservice: TratamientoService
  ) {
    this.token = this._userservice.getToken();
  }

  ngOnInit() {
    this._route.params.subscribe(params => {
      this.id = +params['id'];
      this.hid = +params['hid'];
      this.eid = +params['eid'];
      this.tid = +params['tid'];
      this._pacienteservice.getPaciente(this.id).subscribe(
        response =>
        {
          if (response.status == 'success') {
            this.paciente = response.paciente;
          }else{
            this._router.navigate(['/dashboard']);
          }
        },
        error => {
          console.log(<any>error);
        }
      );

      this.getTratamiento(this.tid);
    });

  }

  getTratamiento(tid){
    this._tratamientoservice.getTratamiento(tid).subscribe(
      response =>
      {
        if (response.status == 'success') {
          this.tratamiento = response.tratamiento;
        }else{
          this._router.navigate(['/dashboard']);
        }
      },
      error => {
        console.log(<any>error);
      }
    );
  }

  onSubmit(form){
    // servicio
    this._tratamientoservice.update(this.token, this.tratamiento, this.tratamiento.id).subscribe(
      response =>{
        console.log(response);
        if(response.status == 'success'){
          this.status_tratamiento = 'success';
          this.tratamiento = response.tratamiento;
          this._router.navigate(['/paciente/', this.id,'historia',this.historia.id,'evolucion',this.evolucion.id,'tratamiento',this.tratamiento.id]);
        }else{
          this.status_tratamiento = 'error';
        }
      },
      error =>{
        console.log(<any>error);
      }
    );
  }

  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }

}
