import { Component, OnInit} from "@angular/core";
import { Router, ActivatedRoute, Params} from "@angular/router";
import { User } from "../../shared/models/user";
import {UserService} from "../../shared/services/user.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'signin',
  templateUrl: './signin.component.html',
  providers: [UserService]
})

export class SigninComponent implements OnInit {

  public title: string;
  public user: User;
  public token;
  public identity;
  public status: string;

  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService
  ) {
    this.title = 'IDENTIFICATE';
    this.user = new User(1, 'ROLE_USER', '', '', '', '');
  }

  ngOnInit() {
    let user = this._userservice.getIdentity();
    console.log(user.name);
    this.signout();
  }

  onSubmit(form) {
    console.log(this.user);

    this._userservice.signin(this.user).subscribe(
      response => {

        if(response.status != 'error'){
          this.status = 'success';
          //token
          this.token = response;
          localStorage.setItem('token', this.token);

          //Objeto usuario identificado
          this._userservice.signin(this.user, true).subscribe(
            response => {
              this.identity = response;
              localStorage.setItem('identity', JSON.stringify(this.identity));
              this._router.navigate(['dashboard']);
            },
            error => {
              console.log(<any>error);
            }
          );
        }else{
          this.status = 'error';
        }

      },
      error => {
        console.log(<any>error);
      }
    )
  }



  signout() {
    this._route.params.subscribe(params =>{
      let signout = +params['sure'];
      if(signout == 1){
        localStorage.removeItem('identity');
        localStorage.removeItem('token');

        this.identity = null;
        this.token = null;

        //redirección
        this._router.navigate(['home']);
      }
    })
  }

}
