import { Component, OnInit} from "@angular/core";
import { Router, ActivatedRoute, Params} from "@angular/router";
import { User } from "../../shared/models/user";
import { UserService } from "../../shared/services/user.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'signup',
  templateUrl: './signup.component.html',
  providers: [UserService]
})

export class SignupComponent implements OnInit{

  public title: string;
  public user: User;
  public status: string;
  public token;
  public identity;

  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService
  ){
    this.title = 'REGISTRATE';
    this.user = new User(1,'ROLE_USER','','','','');
  }
  ngOnInit(){
    console.log('Registro');
  }

  onSubmit(form){
    console.log(this.user);

    this._userservice.signup(this.user).subscribe(
      response => {
        if(response.status == 'success'){
          this.status = response.status;
          this.user = new User(1,'ROLE_USER','','','','');
          form.reset();
        }else{
          this.status = 'error';
        }
      },
      error => {
        console.log(<any>error);
      }
      );
  }
}
