import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";
import { Consulta } from "../../shared/models/consulta";
import { ConsultaService } from "../../shared/services/consulta.service";
import { UserService } from "../../shared/services/user.service";
import { Paciente } from "../../shared/models/paciente";
import { PacienteService} from "../../shared/services/paciente.service";
import {identity} from "rxjs";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-usuario',
  templateUrl: './usuario.component.html',
  styleUrls: ['./usuario.component.scss'],
  providers:[ConsultaService, PacienteService, UserService]
})
export class UsuarioComponent implements OnInit {
  public title: string;
  public consultas: Array<Consulta> = [];
  public pacientes: Array<Paciente> = [];
  public token;
  public identity;
  public user;

  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService,
    private _consultaservice: ConsultaService,
    private _pacienteservice: PacienteService
  ) {
    this.title = 'Perfil de ';
    this.token = this._userservice.getToken();
    this.identity = this._userservice.getIdentity();
  }

  ngOnInit() { }


  public mostrarTitulo(){
    console.log("click");
    $( ".menu-vertical" ).toggle();
  }
}
